org.opengis.cite.ogcapitiles10.conformance

## Class Tile

- java.lang.Object
- - org.opengis.cite.ogcapitiles10.CommonFixture
  - - org.opengis.cite.ogcapitiles10.conformance.Tile

-     public class Tile
      extends CommonFixture

  Updated at the OGC API - Tiles Sprint 2020 by ghobona A.2.2. Landing Page {root}/
  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapitiles10.CommonFixture

      `missing_api_definition_error_message, missing_landing_page_error_message, requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tile()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `readJSONObjectFromURL(URL requestURL)`
    `void` | `validateSuccessfulTilesExecution()` Implements Abstract test A.6: /conf/core/tc-success Addresses Requirement 5: /req/core/tc-success
    `void` | `validateTileColDefinitionIsAvailable()` Implements Abstract test A.5 Addresses Requirement 4: /req/core/tc-tilecol-definition
    `void` | `validateTileMatrixDefinitionIsAvailable()` Implements Abstract test A.3 Addresses Requirement 2: /req/core/tc-tilematrix-definition
    `void` | `validateTileRowDefinitionIsAvailable()` Implements Abstract test A.4 Addresses Requirement 3: /req/core/tc-tilerow-definition
    `void` | `validateTilesAreAvailable()` Implements Abstract test A.2 Addresses Requirement 1: /req/core/tc-op
    `void` | `validateTilesErrorConditions()` Implements Abstract test A.7: /conf/core/tc-error Addresses Requirement 6: /req/core/tc-error

    - ### Methods inherited from class org.opengis.cite.ogcapitiles10.CommonFixture

      `clearMessages, formatLinkURI, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tile

          public Tile()

  - ### Method Detail

    - #### validateTilesAreAvailable

          public void validateTilesAreAvailable()
                                         throws Exception

           Implements Abstract test A.2
           Addresses Requirement 1: /req/core/tc-op

      Throws:
        `Exception`

    - #### validateSuccessfulTilesExecution

          public void validateSuccessfulTilesExecution()
                                                throws Exception

           Implements Abstract test A.6: /conf/core/tc-success
           Addresses Requirement 5: /req/core/tc-success

      Throws:
        `Exception`

    - #### validateTilesErrorConditions

          public void validateTilesErrorConditions()
                                            throws Exception

           Implements Abstract test A.7: /conf/core/tc-error
           Addresses Requirement 6: /req/core/tc-error

      Throws:
        `Exception`

    - #### validateTileMatrixDefinitionIsAvailable

          public void validateTileMatrixDefinitionIsAvailable()
                                                       throws Exception

           Implements Abstract test A.3
           Addresses Requirement 2: /req/core/tc-tilematrix-definition

      Throws:
        `Exception`

    - #### validateTileRowDefinitionIsAvailable

          public void validateTileRowDefinitionIsAvailable()
                                                    throws Exception

           Implements Abstract test A.4
           Addresses Requirement 3: /req/core/tc-tilerow-definition

      Throws:
        `Exception`

    - #### validateTileColDefinitionIsAvailable

          public void validateTileColDefinitionIsAvailable()
                                                    throws Exception

           Implements Abstract test A.5
           Addresses Requirement 4: /req/core/tc-tilecol-definition

      Throws:
        `Exception`

    - #### readJSONObjectFromURL

          public String readJSONObjectFromURL(URL requestURL)
                                       throws IOException

      Throws:
        `IOException`

Copyright © 2024 Open Geospatial Consortium. All rights reserved.